<?php

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

access('adm_set_loads', null, 'index.php?' . SID);

adm_check();

$set['title'] = lang('Настройки изображений');
include_once H . 'sys/inc/thead.php';
if (isset($_POST['save'])) {

    $temp_set['scr_select'] = intval($_POST['scr_select']);
    $temp_set['png_select'] = intval($_POST['png_select']);
    $temp_set['gif_select'] = intval($_POST['gif_select']);
    $temp_set['jpg_select'] = intval($_POST['jpg_select']);
    $temp_set['jpeg_select'] = intval($_POST['jpeg_select']);
    $temp_set['info_select'] = intval($_POST['info_select']);
    $temp_set['scrin_ras1'] = intval($_POST['scrin_ras1']);
    $temp_set['scrin_ras2'] = intval($_POST['scrin_ras2']);

    if (save_settings($temp_set)) {

        admin_log('Настройки', 'Загрузки', 'Изменение настроек загруз-центра');
        $_SESSION['message'] = lang('Изменения сохранены');

        header("Location: ?");
        exit();
    } else {
        $err = 'Нет прав для изменения файла настроек';
    }
}


if (isset($_POST['go']) && isset($_POST['opis'])) {
    if ($_POST["opis"] != NULL) {
        $f = @fopen(H . '/loads/inc/files/imag.php', 'w');
        @fwrite($f, ((($_POST["opis"]))));
        @fclose($f);
        @chmod(H . '/loads/inc/files/imag.php', 0777);
        msg("Файл успешно сохранен");
    } else {
        $err = "Невозможно изменить файл";
    }
}
err();
aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_PANEL . "'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Настройки изображений');
echo "</small></div><br />";

echo "<form method='post' class='list-group-item-null' action='?'>";
echo "Создание скрина системой к файлам формата *.png:<br />\n<select name=\"png_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['png_select'] == '1') {
    $sel = ' selected="selected"';
} else {
    $sel = NULL;
}
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Создание скрина системой к файлам формата *.gif:<br />\n<select name=\"gif_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['gif_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Создание скрина системой к файлам формата *.jpg:<br />\n<select name=\"jpg_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['jpg_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Создание скрина системой к файлам формата *.jpeg:<br />\n<select name=\"jpeg_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['jpeg_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select>\n";

echo "Вывод информации для дополнительных файлов картинок и видео:<br />\n<select name=\"info_select\" class='form-control'>\n";
echo "<option value=\"0\">Включено</option>\n";
if ($temp_set['info_select'] == '1')
    $sel = ' selected="selected"';
else
    $sel = NULL;
echo "<option value=\"1\"$sel>Выключено</option>\n";
echo "</select><br />\n";

echo "Ширина скрина:<br />\n<input name=\"scrin_ras1\" value=\"$temp_set[scrin_ras1]\" type=\"text\" class='form-control'/>\n";
echo "Высота скрина:<br />\n<input name=\"scrin_ras2\" value=\"$temp_set[scrin_ras2]\" type=\"text\" class='form-control'/><br />\n";

$doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
echo "</form>\n";

echo "<form method='post' class='list-group-item-null' action='?gen=$passgen'>\n";
echo "Вывод ссылок для преобразования картинок:<br />\n";
$opis = trim(esc(implode(NULL, file('../loads/inc/files/imag.php'))));
echo "<textarea class='form-control' name='opis'>$opis</textarea><br />\n";
$doc->Button('btn btn-success btn-sm', 'go', 'save', 'Сохранить');
echo "</form>\n";

include_once H.'sys/inc/tfoot.php';
?>